<?php
/*
	Clase SuperSecciones para las secciones de la web
	@version 1.0
*/
class SuperSecciones{

	protected $lista_completa = array();
	protected $lista_privada = array();
	protected $lista_solo_publica = array();
	protected $lista_absoluta = array();

	public function add($nombre, $completa = 0, $privada = 0, $solo_publica = 0, $absoluta = 0){
		$resultado = true;
		//Da igual que exista o no la opción, siempre se sobre escribirá
		$this->lista_completa[$nombre] = $completa;
		$this->lista_privada[$nombre] = $privada;
		$this->lista_solo_publica[$nombre] = $solo_publica;
		$this->lista_absoluta[$nombre] = $absoluta;
		return($resultado);
	}
	
	public function __call($funcion, $nombre){
		$retorno = false;
		//El nombre es un array, sólo necesitamos el primer elemento
		$nombre = $nombre[0];
		//la función necesita el valor 'lista_' delante
		$funcion = 'lista_' . $funcion;
		//Para poder acceder a sus propiedades necesito meterlo en un array PHP, es una forma de parsearla
		$array_lista = $this->$funcion;
		//Ahora trabajamos con el array obtenido y con el nombre para comprobarlo todo 
		if ( (!isset($array_lista[$nombre])) || (!isset($array_lista[$nombre])) ){
			//Si falta algún dato, hay que devolver un valor nulo
			$retorno = NULL;
		}else{
			$retorno = $array_lista[$nombre];
		}
		return($retorno);
	}
	
	public function dame_secciones_privadas(){
		//$secciones_privadas = array();
		$cadena = '';
		foreach($this->lista_privada as $clave => $valor){
			if($valor == 1){
				//$secciones_privadas[$clave] = $valor;
				$cadena .= 'Disallow: /' . $clave . '*\n';
				$cadena .= 'Disallow: /' . strtoupper($clave) . '*\n';
			}
		}
		return($cadena);
	}
	
	//Constructor y destructor
	function __construct() {
	}

	function __destruct() {

	}

}

?>